Package ghidra.app.plugin.assembler.sleigh.sem

# Class DefaultAssemblyResolutionFactory

java.lang.Object
ghidra.app.plugin.assembler.sleigh.sem.AbstractAssemblyResolutionFactory<AssemblyResolvedPatterns,AssemblyResolvedBackfill>
ghidra.app.plugin.assembler.sleigh.sem.DefaultAssemblyResolutionFactory

public class DefaultAssemblyResolutionFactory extends AbstractAssemblyResolutionFactory<AssemblyResolvedPatterns,AssemblyResolvedBackfill>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ghidra.app.plugin.assembler.sleigh.sem.AbstractAssemblyResolutionFactory

  `AbstractAssemblyResolutionFactory.AbstractAssemblyResolutionBuilder<B extends AbstractAssemblyResolutionFactory.AbstractAssemblyResolutionBuilder<B,T>,T extends AssemblyResolution>, AbstractAssemblyResolutionFactory.AbstractAssemblyResolvedBackfillBuilder<BF extends AssemblyResolvedBackfill>, AbstractAssemblyResolutionFactory.AbstractAssemblyResolvedPatternsBuilder<RP extends AssemblyResolvedPatterns>, AbstractAssemblyResolutionFactory.AssemblyResolvedErrorBuilder, AbstractAssemblyResolutionFactory.DefaultAssemblyResolvedBackfillBuilder, AbstractAssemblyResolutionFactory.DefaultAssemblyResolvedPatternBuilder`

- ## Field Summary

  ### Fields inherited from class ghidra.app.plugin.assembler.sleigh.sem.AbstractAssemblyResolutionFactory

  `CTX, INS, SEP, SOLVER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultAssemblyResolutionFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AbstractAssemblyResolutionFactory<AssemblyResolvedPatterns,AssemblyResolvedBackfill>.DefaultAssemblyResolvedBackfillBuilder`
  `newBackfillBuilder()`
  `AbstractAssemblyResolutionFactory<AssemblyResolvedPatterns,AssemblyResolvedBackfill>.DefaultAssemblyResolvedPatternBuilder`
  `newPatternsBuilder()`

  ### Methods inherited from class ghidra.app.plugin.assembler.sleigh.sem.AbstractAssemblyResolutionFactory

  `backfill, backfillBuilder, contextOnly, contextOnlyBuilder, error, errorBuilder, fromPattern, fromPatternBuilder, fromString, fromStringBuilder, instrOnly, instrOnlyBuilder, newAssemblyResolutionResults, newErrorBuilder, nop, nop, nopBuilder, nopBuilder, resolved, resolvedBuilder, results, singleton, solveOrBackfill, solveOrBackfill, solveOrBackfill`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultAssemblyResolutionFactory

    public DefaultAssemblyResolutionFactory()

- ## Method Details

  - ### newPatternsBuilder

    public AbstractAssemblyResolutionFactory<AssemblyResolvedPatterns,AssemblyResolvedBackfill>.DefaultAssemblyResolvedPatternBuilder newPatternsBuilder()
    Specified by:
      `newPatternsBuilder` in class `AbstractAssemblyResolutionFactory<AssemblyResolvedPatterns,AssemblyResolvedBackfill>`

  - ### newBackfillBuilder

    public AbstractAssemblyResolutionFactory<AssemblyResolvedPatterns,AssemblyResolvedBackfill>.DefaultAssemblyResolvedBackfillBuilder newBackfillBuilder()
    Specified by:
      `newBackfillBuilder` in class `AbstractAssemblyResolutionFactory<AssemblyResolvedPatterns,AssemblyResolvedBackfill>`